<template>
  <div class="stepper">
    <button
      class="stepper__button"
      :disabled="value == minVal"
      @click="decrease"
    >
      <span>–</span>
    </button>
    <p class="stepper__val">
      {{ value }}
    </p>
    <button
      class="stepper__button"
      :disabled="maxVal && value == maxVal"
      @click="increase"
    >
      <span>+</span>
    </button>
  </div>
</template>

<script>
  export default {
    name: 'stepperRound',

    props: {
      value: {
        type: Number,
        required: true
      },

      minVal: {
        type: [Number, String],
        default: 1
      },

      maxVal: {
        type: [Number, String]
      }
    },

    methods: {
      decrease() {
        this.$emit('input', this.value - 1);
      },

      increase() {
        this.$emit('input', this.value + 1);
      }
    },
  }
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/variables";
@import "~common-components/src/static/css/mixins";

.stepper {
  display: flex;
  @include font-mixin(14px, 18px, 400, $color-text-base);
}

.stepper__button {
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  border: 2px solid $color-blue-navy-blue;
  outline: none;
  font-weight: bold;
  line-height: 1;
  color: $color-blue-navy-blue;
  font-size: 16px;
  cursor: pointer;

  &:disabled {
    opacity: 0.5;
  }

  span {
    position: relative;
    top: -1px;
  }
}

.stepper__val {
  margin: 0 0.7em;
}

</style>